package com.jmu.shiro_demo.service;

import com.jmu.shiro_demo.entity.Permission;
import com.jmu.shiro_demo.entity.Role;
import com.jmu.shiro_demo.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.ui.Model;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2021-04-20
 */
public interface UserService extends IService<User> {

    String login(String username, String password, String code, HttpSession session, HttpServletResponse response, Model model);

    User getUserByUserName(String username);

    List<Permission> getUserPermissionsByUserId(Integer userId);

    List<Role> getUserRoleByUserId(Integer userId);

    String logout();
}
