package com.jmu.shiro_demo.service.impl;

import com.jmu.shiro_demo.entity.Permission;
import com.jmu.shiro_demo.entity.Role;
import com.jmu.shiro_demo.mapper.RoleMapper;
import com.jmu.shiro_demo.service.RoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2021-04-20
 */
@Service
public class RoleServiceImpl extends ServiceImpl<RoleMapper, Role> implements RoleService {

    @Override
    public List<Permission> getRolePermissionsByRoleId(Integer roleId) {
        return this.baseMapper.getRolePermissionsByRoleId(roleId);
    }
}
