package com.jmu.shiro_demo.mapper;

import com.jmu.shiro_demo.entity.Permission;
import com.jmu.shiro_demo.entity.Role;
import com.jmu.shiro_demo.entity.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2021-04-20
 */
public interface UserMapper extends BaseMapper<User> {

    List<Permission> getUserPermissionsByUserId(Integer userId);

    List<Role> getUserRoleByUserId(Integer userId);

}
